libzypp: zyppng::DigestReportHelper Class Reference

libzypp 17.38.6

zyppng::DigestReportHelper Class Reference

`#include <zypp/ng/reporthelper.h>`

Inheritance diagram for zyppng::DigestReportHelper:

## Public Member Functions
| DigestReportHelper (ContextRef r)
| DigestReportHelper (const DigestReportHelper &)=default
| DigestReportHelper (DigestReportHelper &&)=default
DigestReportHelper & | operator= (const DigestReportHelper &)=default
DigestReportHelper & | operator= (DigestReportHelper &&)=default
bool | askUserToAcceptNoDigest (const zypp::Pathname &file)
bool | askUserToAccepUnknownDigest (const zypp::Pathname &file, const std::string &name)
bool | askUserToAcceptWrongDigest (const zypp::Pathname &file, const std::string &requested, const std::string &found)
Public Member Functions inherited from zyppng::BasicReportHelper
| BasicReportHelper (const BasicReportHelper &)=default
| BasicReportHelper (BasicReportHelper &&)=default
BasicReportHelper & | operator= (const BasicReportHelper &)=default
BasicReportHelper & | operator= (BasicReportHelper &&)=default
const ContextRef & | zyppContext ()

## Static Public Member Functions
static constexpr bool | async ()
Static Public Member Functions inherited from zyppng::BasicReportHelper
static constexpr bool | async ()

## Private Attributes
detail::ReportHolder< zypp::DigestReport, Context::isAsync > | _report

## Additional Inherited Members
Protected Member Functions inherited from zyppng::BasicReportHelper
| BasicReportHelper (ContextRef &&ctx)
Protected Attributes inherited from zyppng::BasicReportHelper
ContextRef | _ctx

## Detailed Description

Definition at line 78 of file reporthelper.h.

## Constructor & Destructor Documentation

## ◆ DigestReportHelper() [1/3]

zyppng::DigestReportHelper::DigestReportHelper | ( | ContextRef | r | ) |
| inline

Definition at line 82 of file reporthelper.h.

## ◆ DigestReportHelper() [2/3]

zyppng::DigestReportHelper::DigestReportHelper | ( | const DigestReportHelper & |  | ) |
| default

## ◆ DigestReportHelper() [3/3]

zyppng::DigestReportHelper::DigestReportHelper | ( | DigestReportHelper && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

DigestReportHelper & zyppng::DigestReportHelper::operator= | ( | const DigestReportHelper & |  | ) |
| default

## ◆ operator=() [2/2]

DigestReportHelper & zyppng::DigestReportHelper::operator= | ( | DigestReportHelper && |  | ) |
| default

## ◆ askUserToAcceptNoDigest()

bool zyppng::DigestReportHelper::askUserToAcceptNoDigest | ( | const zypp::Pathname & | file | ) |

Definition at line 23 of file reporthelper.cc.

## ◆ askUserToAccepUnknownDigest()

bool zyppng::DigestReportHelper::askUserToAccepUnknownDigest | ( | const zypp::Pathname & | file,
|  | const std::string & | name )

Definition at line 35 of file reporthelper.cc.

## ◆ askUserToAcceptWrongDigest()

bool zyppng::DigestReportHelper::askUserToAcceptWrongDigest | ( | const zypp::Pathname & | file,
|  | const std::string & | requested,
|  | const std::string & | found )

Definition at line 48 of file reporthelper.cc.

## ◆ async()

constexpr bool zyppng::BasicReportHelper::async | ( |  | ) |
| inlinestaticconstexpr

Definition at line 69 of file reporthelper.h.

## Member Data Documentation

## ◆ _report

detail::ReportHolder<zypp::DigestReport, Context::isAsync> zyppng::DigestReportHelper::_report
| private

Definition at line 95 of file reporthelper.h.

The documentation for this class was generated from the following files:

- zypp/ng/reporthelper.h
- zypp/ng/reporthelper.cc